# $Revision: 1.7.2.2 $, $Date: 2003/08/08 14:13:16 $
Summary:	Realtime plugin for remastering mp3 sound
Summary(pl):	Wtyczka poprawiajca jako odtwarzania plikw mp3
Name:		xmms-general-crystality
Version:	0.92
Release:	3
License:	GPL v2
Group:		X11/Applications/Sound
Source0:	http://fanthom.math.put.poznan.pl/~gyver/crystality/crystality-plugin-%{version}.tar.gz
# Source0-md5:	960d69bc3b0c90f4aca2631b35417c73
Patch0:		%{name}-Makefile.patch
URL:            http://fanthom.math.put.poznan.pl/~gyver/crystality/
BuildRequires:	xmms-devel >= 1.2.0
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	crystality-plugin

%define		_xmms_plugin_dir	%(xmms-config --general-plugin-dir)

%description
This plugin does mainly four things: 
- adds some sounds in very high frequency range,
- adds some even harmonic distortions,
- adds simple, but nice 3D echo,
- extends stereo.

%description -l pl
Ta wtyczka wykonuje spenia gwnie cztery zadania:
- dodaje dwiki w bardzo wysokim zakresie czstotliwoci,
- dodaje pewne harmoniczne znieksztacenia,
- dodaje prosty efekt echa 3D,
- rozszerzone stereo.

%prep
%setup -q -n crystality-plugin-%{version}
%patch0 -p1

%build
%{__make} CC="%{__cc}" CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xmms_plugin_dir}}

#%{__make} install \
#	XMMS_PLUGIN=$RPM_BUILD_ROOT%{_libdir}/xmms/General
#	STDIO_PLUGIN=$RPM_BUILD_ROOT%{__bindir}/crystality-stdio
install libcrystality.so $RPM_BUILD_ROOT%{_xmms_plugin_dir}/libcrystality.so
install crystality-stdio $RPM_BUILD_ROOT%{_bindir}/crystality-stdio

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_xmms_plugin_dir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-general-crystality.spec,v $
Revision 1.7.2.2  2003/08/08 14:13:16  misi3k
- rel 3
- rebuild
- md5

Revision 1.7.2.1  2003/07/11 12:04:54  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.7  2003/02/14 03:28:18  kloczek
- release 2: install plugin in system avalailbe xmms plugin depending path.

Revision 1.6  2003/01/18 22:58:55  juandon
- removed two lines with define

Revision 1.5  2002/12/28 01:38:11  qboosh
- use new Group: X11/Applications/Sound

Revision 1.4  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.3  2002/11/29 22:47:58  ankry
- massive attack: new %%doc

Revision 1.2  2002/05/04 12:11:59  kloczek
- added Makefile patch for copile crystality plugin with %%{rpmcflags} and using
  proper compilator.

Revision 1.1  2002/05/04 12:05:46  kloczek
- renamed: crystality-plugin -> xmms-general-crystality.
